HtmlDataFilterSlider (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.component.html.HtmlDataFilterSlider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlDataFilterSlider

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.UIDataFltrSlider
                      org.richfaces.component.html.HtmlDataFilterSlider

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.richfaces.event.DataFilterSliderSource

    public class HtmlDataFilterSlider

extends UIDataFltrSlider

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlDataFilterSlider()`

Method Summary
`java.lang.String` | `getClientErrorMessage()`
`java.lang.Object` | `getData()`
`java.lang.Integer` | `getEndRange()`
`java.lang.String` | `getEventsQueue()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFieldStyleClass()`
`java.lang.String` | `getFilterBy()`
`java.lang.String` | `getFocus()`
`java.lang.String` | `getFor()`
`java.lang.String` | `getForValRef()`
`java.lang.String` | `getHandleStyleClass()`
`java.lang.Integer` | `getHandleValue()`
`java.lang.Integer` | `getIncrement()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnerror()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnslide()`
`java.lang.Object` | `getProcess()`
`java.lang.String` | `getRangeStyleClass()`
`int` | `getRequestDelay()`
`java.lang.Object` | `getReRender()`
`javax.faces.el.MethodBinding` | `getSliderListener()`
`java.lang.Integer` | `getStartRange()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`int` | `getTimeout()`
`java.lang.String` | `getTrackStyleClass()`
`java.lang.String` | `getTrailerStyleClass()`
`java.lang.String` | `getWidth()`
`boolean` | `isAjaxSingle()`
`boolean` | `isBypassUpdates()`
`boolean` | `isIgnoreDupResponses()`
`boolean` | `isLimitToList()`
`boolean` | `isManualInput()`
`boolean` | `isOnSlideSubmit()`
`boolean` | `isStoreResults()`
`boolean` | `isTrailer()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAjaxSingle(boolean _ajaxSingle)`
`void` | `setBypassUpdates(boolean _bypassUpdates)`
`void` | `setClientErrorMessage(java.lang.String _clientErrorMessage)`
`void` | `setData(java.lang.Object _data)`
`void` | `setEndRange(java.lang.Integer _endRange)`
`void` | `setEventsQueue(java.lang.String _eventsQueue)`
`void` | `setFieldStyleClass(java.lang.String _fieldStyleClass)`
`void` | `setFilterBy(java.lang.String _filterBy)`
`void` | `setFocus(java.lang.String _focus)`
`void` | `setFor(java.lang.String _for)`
`void` | `setForValRef(java.lang.String _forValRef)`
`void` | `setHandleStyleClass(java.lang.String _handleStyleClass)`
`void` | `setHandleValue(java.lang.Integer _handleValue)`
`void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
`void` | `setIncrement(java.lang.Integer _increment)`
`void` | `setLimitToList(boolean _limitToList)`
`void` | `setManualInput(boolean _manualInput)`
`void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
`void` | `setOnchange(java.lang.String _onchange)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOncomplete(java.lang.String _oncomplete)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOnerror(java.lang.String _onerror)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setOnslide(java.lang.String _onslide)`
`void` | `setOnSlideSubmit(boolean _onSlideSubmit)`
`void` | `setProcess(java.lang.Object _process)`
`void` | `setRangeStyleClass(java.lang.String _rangeStyleClass)`
`void` | `setRequestDelay(int _requestDelay)`
`void` | `setReRender(java.lang.Object _reRender)`
`void` | `setSliderListener(javax.faces.el.MethodBinding _sliderListener)`
`void` | `setStartRange(java.lang.Integer _startRange)`
`void` | `setStatus(java.lang.String _status)`
`void` | `setStoreResults(boolean _storeResults)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setTimeout(int _timeout)`
`void` | `setTrackStyleClass(java.lang.String _trackStyleClass)`
`void` | `setTrailer(boolean _trailer)`
`void` | `setTrailerStyleClass(java.lang.String _trailerStyleClass)`
`void` | `setWidth(java.lang.String _width)`

Methods inherited from class org.richfaces.component.UIDataFltrSlider
`addSliderListener, broadcast, decode, filterDataTable, getDataTable, getFacesContext, getRendersChildren, getSliderListeners, getSliderRange, getUIData, isActive, processDecodes, removeSliderListener, resetDataTable, setActive`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, queueEvent, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlDataFilterSlider

    public HtmlDataFilterSlider()

Method Detail

### isAjaxSingle

    public boolean isAjaxSingle()

### setAjaxSingle

    public void setAjaxSingle(boolean _ajaxSingle)

### isBypassUpdates

    public boolean isBypassUpdates()

### setBypassUpdates

    public void setBypassUpdates(boolean _bypassUpdates)

### getClientErrorMessage

    public java.lang.String getClientErrorMessage()

### setClientErrorMessage

    public void setClientErrorMessage(java.lang.String _clientErrorMessage)

### getData

    public java.lang.Object getData()

### setData

    public void setData(java.lang.Object _data)

### getEndRange

    public java.lang.Integer getEndRange()

  Specified by:
    `getEndRange` in class `UIDataFltrSlider`

### setEndRange

    public void setEndRange(java.lang.Integer _endRange)

  Specified by:
    `setEndRange` in class `UIDataFltrSlider`

### getEventsQueue

    public java.lang.String getEventsQueue()

### setEventsQueue

    public void setEventsQueue(java.lang.String _eventsQueue)

### getFieldStyleClass

    public java.lang.String getFieldStyleClass()

  Specified by:
    `getFieldStyleClass` in class `UIDataFltrSlider`

### setFieldStyleClass

    public void setFieldStyleClass(java.lang.String _fieldStyleClass)

  Specified by:
    `setFieldStyleClass` in class `UIDataFltrSlider`

### getFilterBy

    public java.lang.String getFilterBy()

  Specified by:
    `getFilterBy` in class `UIDataFltrSlider`

### setFilterBy

    public void setFilterBy(java.lang.String _filterBy)

  Specified by:
    `setFilterBy` in class `UIDataFltrSlider`

### getFocus

    public java.lang.String getFocus()

### setFocus

    public void setFocus(java.lang.String _focus)

### getFor

    public java.lang.String getFor()

  Specified by:
    `getFor` in class `UIDataFltrSlider`

### setFor

    public void setFor(java.lang.String _for)

  Specified by:
    `setFor` in class `UIDataFltrSlider`

### getForValRef

    public java.lang.String getForValRef()

  Specified by:
    `getForValRef` in class `UIDataFltrSlider`

### setForValRef

    public void setForValRef(java.lang.String _forValRef)

  Specified by:
    `setForValRef` in class `UIDataFltrSlider`

### getHandleStyleClass

    public java.lang.String getHandleStyleClass()

  Specified by:
    `getHandleStyleClass` in class `UIDataFltrSlider`

### setHandleStyleClass

    public void setHandleStyleClass(java.lang.String _handleStyleClass)

  Specified by:
    `setHandleStyleClass` in class `UIDataFltrSlider`

### getHandleValue

    public java.lang.Integer getHandleValue()

  Specified by:
    `getHandleValue` in class `UIDataFltrSlider`

### setHandleValue

    public void setHandleValue(java.lang.Integer _handleValue)

  Specified by:
    `setHandleValue` in class `UIDataFltrSlider`

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean _ignoreDupResponses)

### getIncrement

    public java.lang.Integer getIncrement()

  Specified by:
    `getIncrement` in class `UIDataFltrSlider`

### setIncrement

    public void setIncrement(java.lang.Integer _increment)

  Specified by:
    `setIncrement` in class `UIDataFltrSlider`

### isLimitToList

    public boolean isLimitToList()

### setLimitToList

    public void setLimitToList(boolean _limitToList)

### isManualInput

    public boolean isManualInput()

  Specified by:
    `isManualInput` in class `UIDataFltrSlider`

### setManualInput

    public void setManualInput(boolean _manualInput)

  Specified by:
    `setManualInput` in class `UIDataFltrSlider`

### isOnSlideSubmit

    public boolean isOnSlideSubmit()

  Specified by:
    `isOnSlideSubmit` in class `UIDataFltrSlider`

### setOnSlideSubmit

    public void setOnSlideSubmit(boolean _onSlideSubmit)

  Specified by:
    `setOnSlideSubmit` in class `UIDataFltrSlider`

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

### getOnchange

    public java.lang.String getOnchange()

### setOnchange

    public void setOnchange(java.lang.String _onchange)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOncomplete

    public java.lang.String getOncomplete()

### setOncomplete

    public void setOncomplete(java.lang.String _oncomplete)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOnerror

    public java.lang.String getOnerror()

### setOnerror

    public void setOnerror(java.lang.String _onerror)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getOnslide

    public java.lang.String getOnslide()

### setOnslide

    public void setOnslide(java.lang.String _onslide)

### getProcess

    public java.lang.Object getProcess()

### setProcess

    public void setProcess(java.lang.Object _process)

### getRangeStyleClass

    public java.lang.String getRangeStyleClass()

  Specified by:
    `getRangeStyleClass` in class `UIDataFltrSlider`

### setRangeStyleClass

    public void setRangeStyleClass(java.lang.String _rangeStyleClass)

  Specified by:
    `setRangeStyleClass` in class `UIDataFltrSlider`

### getReRender

    public java.lang.Object getReRender()

### setReRender

    public void setReRender(java.lang.Object _reRender)

### getRequestDelay

    public int getRequestDelay()

### setRequestDelay

    public void setRequestDelay(int _requestDelay)

### getSliderListener

    public javax.faces.el.MethodBinding getSliderListener()

  Specified by:
    `getSliderListener` in class `UIDataFltrSlider`

### setSliderListener

    public void setSliderListener(javax.faces.el.MethodBinding _sliderListener)

  Specified by:
    `setSliderListener` in class `UIDataFltrSlider`

### getStartRange

    public java.lang.Integer getStartRange()

  Specified by:
    `getStartRange` in class `UIDataFltrSlider`

### setStartRange

    public void setStartRange(java.lang.Integer _startRange)

  Specified by:
    `setStartRange` in class `UIDataFltrSlider`

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String _status)

### isStoreResults

    public boolean isStoreResults()

  Specified by:
    `isStoreResults` in class `UIDataFltrSlider`

### setStoreResults

    public void setStoreResults(boolean _storeResults)

  Specified by:
    `setStoreResults` in class `UIDataFltrSlider`

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String _style)

### getStyleClass

    public java.lang.String getStyleClass()

  Specified by:
    `getStyleClass` in class `UIDataFltrSlider`

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

  Specified by:
    `setStyleClass` in class `UIDataFltrSlider`

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int _timeout)

### getTrackStyleClass

    public java.lang.String getTrackStyleClass()

  Specified by:
    `getTrackStyleClass` in class `UIDataFltrSlider`

### setTrackStyleClass

    public void setTrackStyleClass(java.lang.String _trackStyleClass)

  Specified by:
    `setTrackStyleClass` in class `UIDataFltrSlider`

### isTrailer

    public boolean isTrailer()

  Specified by:
    `isTrailer` in class `UIDataFltrSlider`

### setTrailer

    public void setTrailer(boolean _trailer)

  Specified by:
    `setTrailer` in class `UIDataFltrSlider`

### getTrailerStyleClass

    public java.lang.String getTrailerStyleClass()

  Specified by:
    `getTrailerStyleClass` in class `UIDataFltrSlider`

### setTrailerStyleClass

    public void setTrailerStyleClass(java.lang.String _trailerStyleClass)

  Specified by:
    `setTrailerStyleClass` in class `UIDataFltrSlider`

### getWidth

    public java.lang.String getWidth()

### setWidth

    public void setWidth(java.lang.String _width)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.